Subject: bug#13916: closed (Re: bug#13916: 24.2; deftheme rgb value for default face :background off by one)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Mar 2013 14:52:02 +0000

Your bug report

#13916: 24.2; deftheme rgb value for default face :background off by one

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13916: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13916
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13916: 24.2; deftheme rgb value for default face :background off by one
From: Jan Djärv <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 26 Mar 2013 15:49:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

26 mar 2013 kl. 03:14 skrev [email-masked]:

> 
> My mistake, I was trying to find the analogous thing to custom-set-theme
> since I first noticed it using the Zenburn theme [1], getting #3E3E3E
> for the background instead of expected #3F3F3F.
> 
> (set-face-background) is the correct function, I don't know what
> possessed me to tell you (set-face-font), sorry about that.
> 
> emacs 24.2:
> $ emacs -Q &
>  (set-face-background 'default "#111111")
>  ... gcolor2 gives #101010
> 
> emacs 23.3b (only 23.3 available at ftp.gnu.org [2]):
> $ emacs -Q &
>  (set-face-background 'default "#111111")
>  ... gcolor2 gives #111111
> 
> emacs 24.3:
> $ emacs -Q &
>  (set-face-background 'default "#111111")
>  ... gcolor2 gives #111111
> 
> These were all compiled and tested today within about an hour. When I
> reported the bug I was using 24.2, I've since upgraded to 24.3.  It
> seems that the problem didn't exist in 23.3b and was fixed in 24.3.
> 
> Thanks for your time, and sorry for the noise.  :P

Okay, thanks for testing.
Closing bug.

	Jan D.

Subject: 24.2; deftheme rgb value for default face :background off by one
From: [email-masked]
To: [email-masked]
Date: Sun, 10 Mar 2013 20:52:29 +1030
List-Id: <debbugs-submit.debbugs.gnu.org>

Color set for background by set-face-font is one R G and B value lower
than what it is set to.

$ emacs -Q &
  ...  M-: (set-face-font 'default :background "#111111")
$ gcolor2 &
  ... (eyedropper in emacs frame: "#101010")

Appears to work for any color values.  For example, the background for
solarized-light:

$ emacs -Q &
  ...  M-: (set-face-font 'default :background "#FDF6E3")
$ gcolor2 &
  ... (eyedropper in emacs frame: "#FCF5E2")

Other situational info:

*     I am using the theme engine bundled with Emacs 24 (deftheme?), not
      the color-theme package.
*     Emacs is run in a GUI, not terminal, X toolkit is gtk3.

Kind regards,

Ruben

In GNU Emacs 24.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-01-20 on eric
Windowing system distributor `The X.Org Foundation', version 11.0.11302901
Configured using:
 `configure '--prefix=/usr' '--sysconfdir=/etc' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--with-x-toolkit=gtk3' '--with-xft'
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector
 --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2'
 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x r e p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty emacs)